# RRake

RRake is a utility for running 'local' rake commands from remote instructors. For example, if you've got an asynchronous background task running on a 'worker' server that upon job completion needs to tell the front end servers to renerate cached feeds, then RRake is for you.

RRake stands for **'remote-rake'**.

## Installation

Install it yourself as:

    $ gem install rrake

## Usage

All of RRake's configuraion are passed in as environment variables. To run the rrake from the console:

    AWS_ACCESS_KEY=<secretstuff> AWS_SECRET_ACCESS_KEY=<moresecretstuff> RRAKE_QUEUE=<AWS SQS QUEUE for commands> rrake

## Contributing

1. Fork it ( https://github.com/[my-github-username]/rrake/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
