# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rrake/version'

Gem::Specification.new do |spec|
  spec.name          = "rrake"
  spec.version       = Rrake::VERSION
  spec.authors       = ["EmergeAdapt"]
  spec.email         = ["development@emergeadapt.com"]

  spec.summary       = %q{Runs 'local' rake commands requested remotely via SNS.}
  spec.description   = %q{Runs 'local' rake commands requested remotely via SNS. For example a worker process can request front end servers to regenerate feeds.}
  spec.homepage      = "https://github.com/EmergeAdapt/rrake"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_dependency 'aws-sdk-v1', "~> 1.60.2"
  spec.add_dependency "dante", '~> 0.2.0'
end
